/*
 * Animate.java
 *
 * Created on September 14, 2005, 10:38 PM
 *
 * CS101 Animation classes
 * (c)2005 Olin College
 */

package cs101.anim;

/**
 * Describes an object that can be animated through its act() method.
 *
 * @author Mike Wessler
 */
public interface Animate {
    
    /**
     * Performs a single step.  This method is designed to be called
     * repeatedly by an {@link Animator}.  Act should not take too long to
     * complete.
     * @see Animator
     */
    public void act();
}
